focalLength= 986.514359  #1532.599499 #1531.839990 #1539.245434  #1534.341793   #1673.490981      #1544.647262   #1644.561663  #1642.920823 #1709.150410 #from calibration, in pixels
frmWidth=1280
frmHeight=720  #720

gridVrtxCntH=11   #number of warp grid points in H
gridVrtxCntV=11   #number of warp grid points in V

# averageGyroTime=    2666666 # 375Hz - Ave = 3
averageGyroTime=    5000000   #4444445 # 225Hz - Ave = 5
# averageGyroTime=    8888889 # 112.5Hz - Ave = 10

maxFrmDeliveryDelay = 1000000000  #max expected delay of delivering a frame to VSTAB

minFrmTime=25000000 #not used
maxFrmTime=1000000000 #not used
maxFrmWarpDelay=150000000 #not used

frmCropFctrH=0.1  #VSTAB crop border (relative to frames size, keep H=V)
frmCropFctrV=0.1  #VSTAB crop border (relative to frames size, keep H=V)

#gyroToCameraRot = { 0.707106781, 0, 0, 0.707106781 } #gyro-to-camera rotation quarternion
gyroToCameraRot = { 0, 0.707106781, 0.707106781, 0 } #gyro-to-camera rotation quarternion

isGyroZInverted=1  #gyro-to-camera rotation: invert Z axis
frmDelayMinusGyroDelay= -8103579 # -1886580  #-1722751 # -1781731    #-1231803   #9344696   #-2123817 # -2214655    #-2149235  #-9364508  #from calibration for each resolution/frame rate
shtrDuration= 18706817  #24197832   #23802257 #24078211    #24092528  #22700305     # 24300852    # 23938175   # 23858828   #27625747 #from calibration for each resolution/frame rate
isGridNormalized= 1  #1 for OpenGL warper

gyroJitter = 500000   //expected maximum deviation of gyro period in the timestamps
gyroSmplsBeforehand = 20  #not used
isToLimitGrid = 1  #enb/disb grid limiting

isDisplaySideCamera = 1 #1 for fron camera (on display side)
gyroDataCorrection = 0

isToCorrectMotionBlur = 1 #enb/dsb decreasing VSTAB strength at long exposure
noiseFctrDark = 0.15 # part of remaining shake 0..1, 0:full stabilization, 1:no stabilization
expoDurDark = 20000000 # nanoseconds

noiseFctrLight = 0 # part of remaining shake 0..1, 0:full stabilization, 1:no stabilization
expoDurLight = 10000000 # nanoseconds

# FIR filter width in ns used in low light if noiseFctrDark=0
lowLightFiltWidth = 50000000

isToDetectFlckr = 1   #not used
expectPwrNetFreq = 50 # Hz 50 or 60 #not used
expectExpoDurFrmDelay = 4 #not used
constGainVal = 0 # not used
maxCntNonConstGainVals = 4 # not used
frmJitter = 0.05 # not used
expoDurationAccuracy = 0.0001 #not used

# Added in version 2

avgFltrCoreTime =    300000000   # 300000000 #prediction during panning MIN(300ms, Future*2)
panFltrCoreTime =   1000000000    #1000000000 #panning detection core - if less then future_samples*2+1, it is extended implicitly. MAX(1sec, Future*2)
fltrInertTime =     4000000000    #10000000000 #IIR filter time constant,  example: Future*20
predictTime =        500000000    #500000000 # 500000000 # 500000000  # 500000000 #future limit,  example: Future
panBackTrendFctr = 0.06 #not used
isToShowBorders = 0
isCalibrationMode = 0

# Added in version 3

panMinVelocity = 50 #rad/sec
panOnTime =  2000000000 #not used
panOffTime = 1000000000 #not used
panGainFctr = 1  #panning correction enable (>0)/disable(=0)
panIirTau = 1000000000 #not used

# Timestamp synchronization
gyroTmrInx = 7		#7 - CLOCK_BOOTTIME 	#gyro timer corresponding to gyro time stamps (a parameter of clock_gettime())
frmTmrInx = 7		#1 - CLOCK_MONOTONIC	#frames timer corresponding to frames time stamps (a parameter of clock_gettime())

# FSync expected delta
expected_delta = 0

# For calibration and debug.

#debugInfo.originalCameraOrientationsFilePath = /data/misc/media/process-dump-origCamOrient.dump
#debugInfo.filteredCameraOrientationsFilePath = /data/misc/media/process-dump-filtCamOrient.dump
#debugInfo.gyroInDumpFilePath = /data/misc/camera/video_sensor.txt
#debugInfo.warpGridStatusDumpFilePath = /data/misc/media/process-dump-warp-grid-status.dump
#debugInfo.warpedFrameParamsDumpFilePath = /data/misc/camera/video_metadata.txt
#debugInfo.warpedFrameGridsOutDumpFilePath = /data/misc/media/process-dump-warped-frm-grids.dump
#debugInfo.statisticsFilePath = /data/misc/media/process-statistics.dump

#debugInfo.originalCameraOrientationsFilePath = dump-origCamOrient.dump
#debugInfo.filteredCameraOrientationsFilePath = dump-filtCamOrient.dump
#debugInfo.gyroInDumpFilePath = dump-gyro.dump
#debugInfo.warpGridStatusDumpFilePath = dump-warp-grid-status.dump
#debugInfo.warpedFrameParamsDumpFilePath = dump-warped-frm-params.dump
#debugInfo.warpedFrameGridsOutDumpFilePath = dump-warped-frm-grids.dump
#debugInfo.statisticsFilePath = process-statistics.dump

#debugInfo.fixedFiltOrientQuaternion = { 1, 0, 0, 0 }
